> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/data-governance/navigation-statistics.md).

# Navigation Statistics

## Find most viewed assets.

> Returns the most viewed assets by all users, with navigation-related info.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["kg.view-all"]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"NavigationStatisticsEntryPagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/NavigationStatisticsEntry"}}}},"NavigationStatisticsEntry":{"type":"object","properties":{"assetId":{"type":"string","description":"The id of the asset for which the statistics are calculated","format":"uuid"},"name":{"type":"string","description":"The name of the asset for which the statistics are calculated"},"numberOfViews":{"type":"integer","description":"The number of times the Asset was viewed.","format":"int32"},"lastViewedDate":{"type":"integer","description":"The timestamp (in UTC time standard) of the last time when the Asset was viewed by anyone.","format":"int64"}},"description":"Contains navigation statistics related to a specific asset."}}},"paths":{"/navigation/most_viewed":{"get":{"tags":["Navigation Statistics"],"summary":"Find most viewed assets.","description":"Returns the most viewed assets by all users, with navigation-related info.","operationId":"findMostViewedAssets","parameters":[{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped","schema":{"type":"integer","format":"int32","default":-1}},{"name":"period","in":"query","description":"The time span for which most viewed assets should be found. This time span must be expressed in milliseconds.<br/>For instance, to get most viewed assets for last 24 hours, period would be <code>86400000</code>.<br/>If it's unset (period = 0) looks for all time most viewed assets.","schema":{"type":"integer","format":"int64","default":0}},{"name":"isGuestExcluded","in":"query","description":"Whether guest visits should be excluded from result.","schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"Paged response with found navigation statistics ordered by number of views descending. By default, the result contains up to 1000 navigation statistics.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NavigationStatisticsEntryPagedResponse"}}}}}}}}}
```

## Find recently viewed assets.

> Returns the assets that were recently viewed by the current user.

```json
{"openapi":"3.0.3","info":{"title":"Collibra Data Governance Center Core API","version":"2.0"},"servers":[{"url":"/rest/2.0","variables":{}}],"security":[{"basicAuth":[]},{"jwtAuth":[]},{"oauth2":["kg.view-all"]},{"oauth2":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"http","description":"Collibra REST API authentication using JSON Web Token.","scheme":"bearer","bearerFormat":"JWT"},"oauth2":{"type":"oauth2","description":"Collibra REST API authentication using OAuth 2.","flows":{"clientCredentials":{"tokenUrl":"/rest/oauth/v2/token","scopes":{"sys.admin":"System administration","kg.manage-all":"Manage all knowledge graph resources","kg.view-all":"View any knowledge graph resource","kg.manage-tags":"Manage tags","insights.download":"Download insights reporting zip files","wf.administration":"Workflow administration","wf.use-message-events":"Use workflow events"}}}}},"schemas":{"NavigationStatisticsEntryPagedResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/NavigationStatisticsEntry"}}}},"NavigationStatisticsEntry":{"type":"object","properties":{"assetId":{"type":"string","description":"The id of the asset for which the statistics are calculated","format":"uuid"},"name":{"type":"string","description":"The name of the asset for which the statistics are calculated"},"numberOfViews":{"type":"integer","description":"The number of times the Asset was viewed.","format":"int32"},"lastViewedDate":{"type":"integer","description":"The timestamp (in UTC time standard) of the last time when the Asset was viewed by anyone.","format":"int64"}},"description":"Contains navigation statistics related to a specific asset."}}},"paths":{"/navigation/recently_viewed":{"get":{"tags":["Navigation Statistics"],"summary":"Find recently viewed assets.","description":"Returns the assets that were recently viewed by the current user.","operationId":"findRecentlyViewedAssets","parameters":[{"name":"offset","in":"query","description":"The first result to retrieve. If not set (offset = <code>0</code>), results will be retrieved starting from row <code>0</code>.","schema":{"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"The maximum number of results to retrieve. If not set (limit = <code>0</code>), the default limit will be used. The maximum allowed limit is 1000.","schema":{"type":"integer","format":"int32","default":0}},{"name":"countLimit","in":"query","description":"Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped","schema":{"type":"integer","format":"int32","default":-1}}],"responses":{"200":{"description":"Paged response with found navigation statistics ordered by last viewed date descending. Views number is not calculated. By default, the result contains up to 1000 navigation statistics.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NavigationStatisticsEntryPagedResponse"}}}}}}}}}
```
